curl --request POST \
--url https://api.phare.io/uptime/incidents/{incidentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Service is not working as expected",
"description": "The server answered with an unexpected status code: 503.",
"exclude_from_downtime": false,
"incident_at": "2023-11-07T05:31:56Z",
"recovery_at": "2023-11-07T05:31:56Z",
"monitors": [
1,
2,
3
]
}
'import requests
url = "https://api.phare.io/uptime/incidents/{incidentId}"
payload = {
"title": "Service is not working as expected",
"description": "The server answered with an unexpected status code: 503.",
"exclude_from_downtime": False,
"incident_at": "2023-11-07T05:31:56Z",
"recovery_at": "2023-11-07T05:31:56Z",
"monitors": [1, 2, 3]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Service is not working as expected',
description: 'The server answered with an unexpected status code: 503.',
exclude_from_downtime: false,
incident_at: '2023-11-07T05:31:56Z',
recovery_at: '2023-11-07T05:31:56Z',
monitors: [1, 2, 3]
})
};
fetch('https://api.phare.io/uptime/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"impact": "unknown",
"title": "Service is not working as expected",
"exclude_from_downtime": false,
"id": 1,
"project_id": 1,
"type": "monitor",
"slug": "APP-123",
"state": "unknown",
"status": "ongoing",
"description": "The server answered with an unexpected status code: 503.",
"incident_at": "2023-11-07T05:31:56Z",
"recovery_at": "2023-11-07T05:31:56Z",
"monitors": [
1,
2,
3
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Update an incident
Update an incident by ID
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
1
A project header is required when using an organization-scoped API key.
"luminous-guiding-tower"
Path Parameters
ID of the incident to update
Body
Incident request
Incident title
"Service is not working as expected"
Description of the error that caused the incident
"The server answered with an unexpected status code: 503."
Flag to exclude the incident from downtime calculations
false
Date of incident confirmation
Date of incident recovery
List of monitors linked to the incident
1 - 100 elements[1, 2, 3]
Incident impact
unknown, degraded_performance, partial_outage, major_outage Response
Success, incident updated
unknown, operational, maintenance, degraded_performance, partial_outage, major_outage Incident title
"Service is not working as expected"
Flag to exclude the incident from downtime calculations
false
1
Parent project ID
1
monitor, manual Incident unique slug name
"APP-123"
unknown, investigating, identified, monitoring, resolved ongoing, recovering, recovered Description of the error that caused the incident
"The server answered with an unexpected status code: 503."
Date of incident confirmation
Date of incident recovery
List of monitors linked to the incident
1 - 100 elements[1, 2, 3]
Date of creation for the entity
Date of last update for the entity
Was this page helpful?